use serde::Deserialize;

template_id!(HollowQuest id);

#[derive(Deserialize, Debug)]
#[serde(rename_all = "PascalCase")]
pub struct HollowQuestTemplate {
    #[serde(rename = "ID")]
    pub id: HollowQuestID,
    #[serde(rename = "ChessBoardID")]
    pub chess_board_id: u32,
    pub hollow_quest_type: u32,
}
