use serde::Deserialize;

use super::BuddyBaseID;

template_id!(RobotBuddyConfig robot_id);

#[derive(Deserialize, Debug)]
#[serde(rename_all = "PascalCase")]
pub struct RobotBuddyConfigTemplate {
    #[serde(rename = "RobotBuddyID")]
    pub robot_id: RobotBuddyConfigID,
    #[serde(rename = "BuddyID")]
    pub buddy_id: BuddyBaseID,
    pub char_level: u32,
    pub char_upgrade_level: u32,
    pub char_star: u32,
}
